/*  ___  _
	|   \(_)_ __  ___
	| |) | | '  \/ -_)
	|___/|_|_|_|_\___|

	register.c:
	List of dialogf formats, kept in a separate file so that they can be
	overridden by user programs.

	By Sven Sandberg

	See readme.txt for more information about Dime.
*/
#include <allegro.h>

#ifdef FORTIFY
#include "fortify2.h"
#endif

#include "dime.h"



BEGIN_DIALOGF_FORMAT_LIST
	DIALOGF_FORMAT_BOOL
	DIALOGF_FORMAT_STRING
	DIALOGF_FORMAT_FILENAME
	DIALOGF_FORMAT_VLIST
	DIALOGF_FORMAT_LIST
	DIALOGF_FORMAT_DATAFILE
	DIALOGF_FORMAT_WVLIST
	DIALOGF_FORMAT_WLIST
	DIALOGF_FORMAT_WDATAFILE
	DIALOGF_FORMAT_DIALOGF
	DIALOGF_FORMAT_VDIALOGF
	DIALOGF_FORMAT_INT
	DIALOGF_FORMAT_PINT
	DIALOGF_FORMAT_UINT
	DIALOGF_FORMAT_PUINT
	DIALOGF_FORMAT_SHORT
	DIALOGF_FORMAT_PSHORT
	DIALOGF_FORMAT_USHORT
	DIALOGF_FORMAT_PUSHORT
	DIALOGF_FORMAT_CHAR
	DIALOGF_FORMAT_PCHAR
	DIALOGF_FORMAT_UCHAR
	DIALOGF_FORMAT_PUCHAR
	#ifdef DIME_LONG_LONG
		DIALOGF_FORMAT_LONGLONG
		DIALOGF_FORMAT_PLONGLONG
		DIALOGF_FORMAT_ULONGLONG
		DIALOGF_FORMAT_PULONGLONG
	#endif
	DIALOGF_FORMAT_DOUBLE
	DIALOGF_FORMAT_PDOUBLE
	DIALOGF_FORMAT_FLOAT
	DIALOGF_FORMAT_PFLOAT
	DIALOGF_FORMAT_LINE
	DIALOGF_FORMAT_NOTHING
END_DIALOGF_FORMAT_LIST